# Install Chocolatey
Set-ExecutionPolicy Bypass -Scope Process -Force; [System.Net.ServicePointManager]::SecurityProtocol = [System.Net.ServicePointManager]::SecurityProtocol -bor 3072; iex ((New-Object System.Net.WebClient).DownloadString('https://community.chocolatey.org/install.ps1'))

# Enable Hyper-V and containters
Enable-WindowsOptionalFeature -Online -FeatureName Microsoft-Hyper-V -All
Enable-WindowsOptionalFeature -Online -FeatureName Containers -All

# Install OpenSSH, generate keys and authorize them
choco install "--package-parameters=/SSHServerFeature" openssh
# TODO: Ask for email address to use, make sshKeyType optional
$sshKeyType = "ed25519"
ssh-keygen -t "$sshKeyType" -C "benie@infektor.net" -N '' -f "$env:USERPROFILE/.ssh/$sshKeyType"

# Install Windows-Terminal and Debian
choco install microsoft-windows-terminal
wsl --install --distribution Debian
